<div style="margin-top: 20px;">
	<h5>
		<span>BAST - STNK - Internal</span>
	</h5>
	<ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
		<li class="nav-item">
			<a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list" ></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
		</li>
	</ul>

	<div class="fieldset-legend">
		<p-accordion class="filter-accordion">
			<p-accordionTab header="Filter" [selected]="true">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal BAST</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_statusType">Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
				<div class="form-group">
					<label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
					<!-- </p-dropdown class="form-select" [options]="korals" [(ngModel)]="selectedKorsal" placeholder="Select Korsal" ></p-dropdown> -->
					<select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
						<option [value]="null">Select Korsal</option>
						<option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
					</select>
				</div>
				<div class="form-group">
					<label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
					<select class="form-control" [(ngModel)]="selectedSalesman">
						<option [value]="null">Select Salesman</option>
						<option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter" (click)="filter()">
					<span>Filter</span>
				</button>
			</div>
			</p-accordionTab>
		</p-accordion>
	</div>
	<div class="input-group w-100 mt-3">
		<input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch"
			name="currentSearch" placeholder="Find STNK">
		<button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
			<span class="fa fa-search"></span>
		</button>
		<button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
			<span class="fa fa-trash-o"></span>
		</button>                        
	</div>

	<p-dataTable
		[value]="unitDeliverables"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idDeliverable"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)"
		[(selection)]="selected">
		<p-header>
			<!-- <div class="row"></div> -->
		</p-header>
		<p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bastNumber}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="rowData.dateDelivery != null">
				{{rowData.dateDelivery | date:'dd-MM-yyyy'}}
				</div>
				<div *ngIf="rowData.dateDelivery == null">
						{{rowData.dateBastSales | date:'dd-MM-yyyy'}}
				</div>
			</ng-template>
		</p-column>
		<p-column header="No. IVU">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.ivuNumber}}
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idframe}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idmachine}}
			</ng-template>
		</p-column>
		<p-column header="No. Polisi">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.requestPoliceNumber}}
			</ng-template>
		</p-column>
		<p-column header="Nama STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="rowData.vehicleDocumentRequirement.personOwner != null">
						{{rowData.vehicleDocumentRequirement.personOwner.name}}
				</div>
				<div *ngIf="rowData.vehicleDocumentRequirement.personOwner == null">
					{{rowData.vehicleDocumentRequirement.organizationOwner.name}}
				</div>
			</ng-template>
		</p-column>
		<p-column header="Sales">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.salesName}}
			</ng-template>
		</p-column>
		<p-column header="Notice">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="rowData.notice != null && rowData.delivNotice == null && rowData.bastNumber == null" >
						<label [style]="{'text-align': 'center'}">V</label>
				</div>
				<div *ngIf="rowData.bastNumber != null && rowData.delivNotice != null" >
						{{rowData.delivNotice | date:'dd-MM-yyyy'}}
				</div>
				<div *ngIf="rowData.bastNumber != null && rowData.delivNotice == null && rowData.notice != null && rowData.name == rowData.salesName" >
						{{rowData.salesName}}
				</div>
			</ng-template>
			<!-- <ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.notice | date:'dd-MM-yyyy'}}
			</ng-template> -->
		</p-column>
		<p-column header="STNK">
			<!-- <ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.stnk | date:'dd-MM-yyyy'}}
			</ng-template> -->
			<ng-template let-rowData="rowData" pTemplate="body">
					<div *ngIf="rowData.stnk != null && rowData.delivStnk == null && rowData.bastNumber == null" >
						<label [style]="{'text-align': 'center'}">V</label>
					</div>
					<div *ngIf="rowData.bastNumber != null && rowData.delivStnk != null" >
							{{rowData.delivStnk | date:'dd-MM-yyyy'}}
					</div>
					<div *ngIf="rowData.bastNumber != null && rowData.delivStnk == null && rowData.stnk != null" >
							{{rowData.salesName}}
					</div>
			</ng-template>
		</p-column>
		<p-column header="Plat Nomor">
			<ng-template let-rowData="rowData" pTemplate="body">
					<div *ngIf="rowData.platNomor != null && rowData.delivPlatNomor == null 
					&& rowData.bastNumber == null" >
							<label [style]="{'text-align': 'center'}">V</label>
					</div>
					<div *ngIf="rowData.bastNumber != null && rowData.delivPlatNomor != null" >
							{{rowData.delivNotice | date:'dd-MM-yyyy'}}
					</div>
					<div *ngIf="rowData.bastNumber != null && rowData.delivPlatNomor == null && rowData.platNomor != null"  >
							{{rowData.salesName}}
					</div>
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '120px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <a [routerLink]="['../data-transaksi/detail/'+ rowData.idRequirement]">Detail</a> -->
				<a (click)="showDetail(rowData.idDeliverable)"><i class="fa fa-eye" aria-hidden="true"></i></a>
				<!-- <a (click)="showPrint(rowData.idDeliverable)"><i class="fa fa-print" aria-hidden="true"></i></a> -->
				<a (click)="showRevisi(rowData.idDeliverable)"><i class="fa fa-pencil" aria-hidden="true"></i></a>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
	<div class="btn-filter-wrapper pull-right">
		<button (click)="showPrintModal()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
			<span>Cetak BAST</span>
		</button>
	</div>
</div>

<div style="margin-top: 10px;"></div>



<p-dialog header="Detail Informasi Transaksi" [(visible)]="detailModal" modal="true" [width]="700">
	<!-- <div class="row">
		<div class="col-sm-12">
			<p>No. Faktur</p>
			<p>Nama STNK</p>
			<p>Alamat STNK</p>
			<p>Nama Pembeli</p>
			<br>
			<p>Tanggal Isi Nama</p>
		</div>
	</div> -->

	<div class="row">
		<div class="col-sm-12">
			<table class="col-sm-12">
				<tr>
					<td>No. Faktur</td>
					<td>: {{ unitDeliverable.vehicleDocumentRequirement.fakturATPM }}</td>
				</tr>
				<tr>
					<td>Nama STNK</td>
					<div *ngIf="unitDeliverable.vehicleDocumentRequirement.personOwner != null">
						<td>: {{ unitDeliverable.vehicleDocumentRequirement.personOwner.firstName }}</td>
					</div>

					<div *ngIf="unitDeliverable.vehicleDocumentRequirement.organizationOwner != null">
						<td>: {{ unitDeliverable.vehicleDocumentRequirement.organizationOwner.name }}</td>
					</div>
				</tr>
				<tr>
					<td>Alamat STNK</td>
					<td>: {{ unitDeliverable.vehicleDocumentRequirement.personOwner.postalAddress.address1 }}</td>
				</tr>
				<tr>
					<td>Nama Pembeli</td>
					<td>: {{ unitDeliverable.customerName }}
					</td>
				</tr>
				<tr>
					<td>Tanggal Isi Nama</td>
					<td>: 
						{{ unitDeliverable.vehicleDocumentRequirement.dateFillName }}
					</td>
				</tr>
			</table>
		</div>
	</div>
</p-dialog>

<p-dialog header="BAST STNK" [(visible)]="printModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<h5>Diserahkan ke:</h5>

			<form name="editForm" role="form" novalidate #editForm="ngForm">
				<input type="hidden" class="form-control" id="idDeliverable" name="idDeliverable" [(ngModel)]="unitDeliverable.idDeliverable"/>

				<div class="col-sm-12">
					<p-radioButton name="bastTo" value="salesman" label="Salesman" [(ngModel)]="bastTo"></p-radioButton>
				</div>
				<div class="offset-sm-1 col-sm-11">
					<p-checkbox name="input_bastKembali" label="BAST Kembali" styleClass="form-check-input" binary="true" [(ngModel)]="bastKembali" (click)="onChangeBastKembali()"></p-checkbox>
				</div>
				<br><br>
				
				<div class="col-sm-12">
					<p-radioButton name="bastTo" value="konsumen" label="Konsumen" [(ngModel)]="bastTo"></p-radioButton>
				</div>

				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">Nama Pengambil*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="unitDeliverableUpdate.name" required />
					</label>
				</div>
				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">No KTP*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="identitynumber" id="field_identitynumber" [(ngModel)]="unitDeliverableUpdate.identityNumber" required />
					</label>
				</div>
				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">No HP</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="cellphone" id="field_cellphone" [(ngModel)]="unitDeliverableUpdate.cellPhone" required />
					</label>
				</div>
				<!-- <button class="btn btn-primary pull-right" type="submit" (click)="print(unitDeliverable.idframe, unitDeliverable.name, unitDeliverable.identityNumber, unitDeliverable.cellPhone)">Print BAST</button> -->
				<!-- <button class="btn btn-primary pull-right" type="submit" >Print BAST</button> -->
				<div class="btn-filter-wrapper pull-right">
						<button type="button" class="btn btn-primary btn-filter" (click)="doPrintBast()"
						[disabled]="chelist">
								<span>Print BAST</span>
						</button>
						<button type="button" class="btn btn-primary btn-filter" (click)="updateTglDelivery()"
						[disabled]="bastKembali == 0">
							<span>Update</span>
						</button>
					</div>
			</form>
		</div>
	</div>
</p-dialog>

<p-dialog header="Revisi STNK" [(visible)]="revisiModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<p>Data yang akan direvisi:</p>

			<form name="editForm" role="form" novalidate (ngSubmit)="doRevisi()" #editForm="ngForm">
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNamaSTNK" label="Nama STNK" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNoPol" label="No Polisi" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNokaNosin" label="NOKA / NOSIN" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiTipeKendaraan" label="Tipe Kendaraan" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiAlamat" label="Alamat" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<button class="btn btn-primary pull-right" type="submit">Submit</button>
			</form>
		</div>
	</div>
</p-dialog>

<!-- 
<p-confirmDialog></p-confirmDialog> -->
